package ink.wgink.properties.sms;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SmsTencentProperties
 * @Description: 短信腾讯属性
 * @Author: WangGeng
 * @Date: 2020/3/10 1:02 下午
 * @Version: 1.0
 **/
public class SmsTencentProperties {

    private String secretId;
    private String secretKey;
    private String sdkAppId;
    private String signName;
    private String verificationCodeTemplateId;

    public String getSecretId() {
        return secretId;
    }

    public void setSecretId(String secretId) {
        this.secretId = secretId;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getSdkAppId() {
        return sdkAppId;
    }

    public void setSdkAppId(String sdkAppId) {
        this.sdkAppId = sdkAppId;
    }

    public String getSignName() {
        return signName == null ? "" : signName.trim();
    }

    public void setSignName(String signName) {
        this.signName = signName;
    }

    public String getVerificationCodeTemplateId() {
        return verificationCodeTemplateId == null ? "" : verificationCodeTemplateId.trim();
    }

    public void setVerificationCodeTemplateId(String verificationCodeTemplateId) {
        this.verificationCodeTemplateId = verificationCodeTemplateId;
    }
}
